import pgmrender
import sys, Image
import time

INCREMENT=0.5

global rotate_angle
rotate_angle = 0.

global win
win = None

global increment
increment = INCREMENT

def rotate(surface=None):
    global rotate_angle, increment
    rotate_angle += increment
    surface.set_rotation(rotate_angle * 1.5, rotate_angle, 0.)
    win.update()

def handle_events(events):
    global increment, win
    for event in events:
        event_type = event.type
        if event_type == pgmrender.BUTTON_PRESS:
            if increment == INCREMENT:
                increment = 0.
            else:
                increment = INCREMENT
        elif event_type == pgmrender.DELETE:
            sys.exit(0)
        elif event_type == pgmrender.CONFIGURE:
            print win.get_canvas_size(), win.get_size()


def main(args):
    title = 'Image'
    
#    if len(args) != 1:
#        print 'Usage: %s image' % sys.argv[0]
#        return 1

    pgmrender.init('opengl1')

    global win
    win = pgmrender.create_window()
    win.set_title(title, title)

#    image = Image.open(args[0])
#    if image.mode == 'RGBA':
#        format = pgmrender.MEDIA_RGBA
#    else:
#        format = pgmrender.MEDIA_RGB

#    width, height = image.size
#    stride = height
#    pixels = image.tostring('raw', image.mode, 0, 1)

    drb1 = pgmrender.create_surface()
    drb1.set_position(250, 150)
    drb1.set_media_color(0, 0, 255, 200)
    drb1.set_size(300, 300)
    #drb1.set_image(format, width, height, stride, pixels)

    drb2 = pgmrender.create_surface()
    drb2.set_position(25, 25)
    drb2.set_media_color(255, 0, 0, 200)
    drb2.set_size(200, 200)
    #drb2.set_image_from_drawable(drb1)

    win.add_drawable(drb1, pgmrender.DRAWABLE_FAR)
    win.add_drawable(drb2, pgmrender.DRAWABLE_FAR)

    print win.get_size(), win.get_canvas_size(), win.get_scale_mode()
    win.set_scale_mode(pgmrender.WINDOW_ADJUST)

    win.start_loop()
    while 1:
        events = win.get_events()
        handle_events(events)
        win.update()
        time.sleep(0.005)

if __name__ == '__main__':
    sys.exit(main(sys.argv[1:]))
